# IRremoteESP8266: src/ir_Midea.cpp File Reference

ir_Midea.cpp File Reference

Support for Midea protocols. Midea added by crankyoldgit & bwze. send: bwze/crankyoldgit, decode: crankyoldgit. More...

## Variables

const uint16_t | kMideaTick = 80
const uint16_t | kMideaBitMarkTicks = 7
const uint16_t | kMideaBitMark = kMideaBitMarkTicks * kMideaTick
const uint16_t | kMideaOneSpaceTicks = 21
const uint16_t | kMideaOneSpace = kMideaOneSpaceTicks * kMideaTick
const uint16_t | kMideaZeroSpaceTicks = 7
const uint16_t | kMideaZeroSpace = kMideaZeroSpaceTicks * kMideaTick
const uint16_t | kMideaHdrMarkTicks = 56
const uint16_t | kMideaHdrMark = kMideaHdrMarkTicks * kMideaTick
const uint16_t | kMideaHdrSpaceTicks = 56
const uint16_t | kMideaHdrSpace = kMideaHdrSpaceTicks * kMideaTick
const uint16_t | kMideaMinGapTicks
const uint16_t | kMideaMinGap = kMideaMinGapTicks * kMideaTick
const uint8_t | kMideaTolerance = 30
const uint16_t | kMidea24MinGap = 13000
| uSecs More...

## Detailed Description

Support for Midea protocols. Midea added by crankyoldgit & bwze. send: bwze/crankyoldgit, decode: crankyoldgit.

Note
  SwingV has the function of an Ion Filter on Danby A/C units.

See also
  https://docs.google.com/spreadsheets/d/1TZh4jWrx4h9zzpYUI9aYXMl1fYOiqu-xVuOOMqagxrs/edit?usp=sharing
  https://github.com/crankyoldgit/IRremoteESP8266/pull/1213

## Variable Documentation

## kMidea24MinGap

const uint16_t kMidea24MinGap = 13000

uSecs

## kMideaBitMark

const uint16_t kMideaBitMark = kMideaBitMarkTicks * kMideaTick

## kMideaBitMarkTicks

const uint16_t kMideaBitMarkTicks = 7

## kMideaHdrMark

const uint16_t kMideaHdrMark = kMideaHdrMarkTicks * kMideaTick

## kMideaHdrMarkTicks

const uint16_t kMideaHdrMarkTicks = 56

## kMideaHdrSpace

const uint16_t kMideaHdrSpace = kMideaHdrSpaceTicks * kMideaTick

## kMideaHdrSpaceTicks

const uint16_t kMideaHdrSpaceTicks = 56

## kMideaMinGap

const uint16_t kMideaMinGap = kMideaMinGapTicks * kMideaTick

## kMideaMinGapTicks

const uint16_t kMideaMinGapTicks

Initial value:
=
kMideaHdrMarkTicks + kMideaZeroSpaceTicks + kMideaBitMarkTicks

## kMideaOneSpace

const uint16_t kMideaOneSpace = kMideaOneSpaceTicks * kMideaTick

## kMideaOneSpaceTicks

const uint16_t kMideaOneSpaceTicks = 21

## kMideaTick

const uint16_t kMideaTick = 80

## kMideaTolerance

const uint8_t kMideaTolerance = 30

## kMideaZeroSpace

const uint16_t kMideaZeroSpace = kMideaZeroSpaceTicks * kMideaTick

## kMideaZeroSpaceTicks

const uint16_t kMideaZeroSpaceTicks = 7

kMideaZeroSpaceTicks
const uint16_t kMideaZeroSpaceTicks
Definition: ir_Midea.cpp:27
kMideaBitMarkTicks
const uint16_t kMideaBitMarkTicks
Definition: ir_Midea.cpp:23
kMideaHdrMarkTicks
const uint16_t kMideaHdrMarkTicks
Definition: ir_Midea.cpp:29